Bug 470557 - No "signature error" feedback on failed rhnpush
No "signature error" feedback on failed rhnpush
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
0.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Pradeep Kilambi
Jesus M. Rodriguez
:
Depends On:
Blocks: space05
  Show dependency treegraph
 
Reported: 2008-11-07 12:16 EST by Aidan Delaney
Modified: 2009-09-17 03:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-17 03:08:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aidan Delaney 2008-11-07 12:16:55 EST
Description of problem:
When rhnpush'ing a package without a signature to a spacewalk server the parameter "--nosig" is required.  However if you do push a package without a signature you are not informed of this and the push fails giving no reason.

Example:
rhnpush signed-fedora-9-package.rpm
Connecting to http://localhost/APP
Package signed-fedora-9-package.rpm Not Found on RHN Server -- Uploading
Uploading package signed-fedora-9-package.rpm

rhnpush unsigned-fedora-9-package.rpm
Connecting to http://localhost/APP
Package unsigned-fedora-9-package.rpm Not Found on RHN Server -- Uploading
Package unsigned-fedora-9-package.rpm Not Found on RHN Server -- Uploading
Package unsigned-fedora-9-package.rpm Not Found on RHN Server -- Uploading
Giving up after 3 attempts and continuing on...

Running rhnpush -v reveals the issue:
rhnpush -v unsigned-fedora-9-package.rpm
Connecting to http://localhost/APP
url is http://localhost/PACKAGE-PUSH
Result codes: 200 OK
Computing md5sum and package Info .This may take sometime ...
Package unsigned-fedora-9-package.rpm Not Found on RHN Server -- Uploading
Uploading package unsigned-fedora-9-package.rpm
ERROR: unsigned-fedora-9-package.rpm: unsigned rpm (use --nosig to force)
Uploading package unsigned-fedora-9-package.rpm
ERROR: unsigned-fedora-9-package.rpm: unsigned rpm (use --nosig to force)
Uploading package unsigned-fedora-9-package.rpm
ERROR: unsigned-fedora-9-package.rpm: unsigned rpm (use --nosig to force)
Giving up after 3 attempts and continuing on...

I would have expected the stderr message "ERROR: unsigned-fedora-9-package.rpm: unsigned rpm (use --nosig to force)" to have appeared without using -v flag.
Comment 1 Pradeep Kilambi 2009-02-19 15:13:09 EST
# rhnpush -c test-channel -u admin -p xxxx rhnsd-4.6.1-1.el5.i386.rpm
ERROR: rhnsd-4.6.1-1.el5.i386.rpm: unsigned rpm (use --nosig to force)
Comment 2 Jesus M. Rodriguez 2009-04-14 10:11:45 EDT
Spacewalk 0.5 released.
Comment 3 Miroslav Suchý 2009-09-17 03:08:34 EDT
Spacewalk 0.5 has been released for long time ago.

Note You need to log in before you can comment on or make changes to this bug.